Microsoft Announces TLS 1.2 Support for POSReady 2009

On October 5th, Microsoft announced that it has enabled TLS 1.1 and 1.2 support on Windows POSReady 2009. More details, including instructions for applying and enabling TLS 1.2 and 1.2 are available from their Security Team's post Announcing support for TLS 1.1 and TLS 1.2 in XP POSReady 2009.

This is big and unexpected (but welcome!) news, since a sizable percentage of merchants' points of sale use this legacy Operating System.

What does this mean for merchants & ISVs who use POSReady 2009? You may be able to meet the PCI TLS deadline without needing to upgrade or change your POS, Operating System or workstations. It's possible that all you may need to do is to download an update from Microsoft, enable TLS 1.1 & 1.2 via adding a couple of registry keys, and then test your POS against Cayan's POS lab to ensure that the changes had the desired effect.

As a reminder to all merchants and ISVs - Microsoft plans to support POSReady 2009 through April 9, 2019. Don't dally - you'll only have about 8 months between when PCI sunsets TLS and when Microsoft sunsets POSReady 2009.